Using AI coding agents like Claude Code or Cursor? Try the official Chargebee Agent Skills to speed up your development.Try now
ChargebeeAPI

List Omnichannel subscriptions

Returns a list of omnichannel_subscription .

Sample Request

Sample Result[JSON]

URL Format

GET https://[site].chargebee.com/api/v2/omnichannel_subscriptions

Input Parameters

limit
optional, integer, default=10, min=1, max=100

The number of resources to be returned.

offset
optional, string, max chars=1000

Determines your position in the list for pagination. To ensure that the next page is retrieved correctly, always set offset to the value of next_offset obtained in the previous iteration of the API call.

Filter Params

For operator usages, see the Pagination and Filtering section.
source[<operator>]

optional, enumerated string filter

To filter based on OmnichannelOneTimeOrder Source. Possible values are : apple_app_store, google_play_store.

Supported operators : is, is_not, in, not_in

Example → source[is_not] = "apple_app_store"

Supported operators: is, is_not, in, not_in
Example → apple_app_store
customer_id[<operator>]

optional, string filter

Chargebee Customer External Identifier. Supported operators : is, is_not, starts_with

Example → customer_id[is] = "8gsnbYfsMLds"

Supported operators: is, is_not, starts_with
Example → 8gsnbYfsMLds
omnichannel_subscription_item
Parameters for omnichannel_subscription_item
pass parameters as omnichannel_subscription_item[<param name>][<operator>]

Returns

next_offset
optional, string, max chars=1000

This attribute is returned only if more resources are present. To fetch the next set of resources use this value for the input parameter offset.

Omnichannel subscription object
Resource object representing omnichannel_subscription